<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 31.10</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<style>
    .div-background-pictup{
        /* ảnh nền */
        background-image: url("images/signup-bg.jpg");
        /* kích cỡ */
        height: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        /* chỉnh độ mờ */
        opacity: 0.6;
    }
    .my-div {
        height: 500px;
    }
</style>
<script>
    "use strict";
    $(document).ready(function(){

    //REGION 1

    //REGION 2
    $("#btn-signup").on("click", function(event){
        event.preventDefault();
        onBtnSignUpClick();
    })
    //REGION 3
    function onBtnSignUpClick(){
        console.log("nút signup được ấn");
        //b1 khai báo biến lưu dư liệu, thu thập dữ liệu
        var vUserObj = {
            yourName: "",
            yourEmail: "",
            yourPassword: "",
            repeatYourPassword: "",
            iAgree: false
        }
        getDataUser(vUserObj);
        //b2 validate dữ liệu
        var isCheck = validateUserObj(vUserObj)
        if(isCheck){
            //b3 hiển thị thông tin
            showDataUserObjToConsole(vUserObj);
        }
    }
    //REGION 4
    //hàm thu thập dữ liệu
    function getDataUser(paramUserObj){
        paramUserObj.yourName = $("#input-yourname").val().trim();
        paramUserObj.yourEmail = $("#input-youremail").val().trim();
        paramUserObj.yourPassword = $("#input-yourpassword").val().trim();
        paramUserObj.repeatYourPassword = $("#input-repeatyourpassword").val().trim();
        paramUserObj.iAgree = $("#inp-checkbox").is(":checked");
    }
    //hàm kiểm tra dữ liệu
    function validateUserObj(paramUserObj){
        if(paramUserObj.yourName == ""){
            alert("Bạn chưa nhập tên");
            $("#input-yourname").focus();
            return false;
        }
        if(!validateEmail(paramUserObj.yourEmail)){
            return false;
        }
        if(!validatePassword(paramUserObj.yourPassword)){
            return false;
        }
        if(paramUserObj.repeatYourPassword == ""){
            alert("Bạn chưa nhập xác nhận mật khẩu");
            return false;
        }
        if(paramUserObj.repeatYourPassword !== paramUserObj.yourPassword){
            alert("Mật khẩu xác nhận không khớp");
            return false;
        }
        if(!paramUserObj.iAgree){
            alert("Bạn chưa chọn đồng ý");
            $("#inp-checkbox").focus();
            return false;
        }
        return true;
    }
    //hàm kiểm tra email
    function validateEmail(paramEmail){
        var vEmailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if(paramEmail == ""){
            alert("Bạn chưa nhập email");
            $("#input-youremail").focus();
            return false;
        }
        if(!vEmailRegex.test(paramEmail)){
            alert("Email nhập vào không đúng định dạng");
            return false;
        }
         return true;
    }
    //hàm kiểm tra password
    function validatePassword(paramPassword){
        if(paramPassword == ""){
            alert("Bạn chưa nhập mật khẩu")
            $("#input-yourpassword").focus();
            return false;
        }
        if(paramPassword.length < 8){
            alert("Mật khẩu từ 8 ký tự trở lên")
            return false
        }
        return true;
    }
    //hàm hiển thị thông tin user trên form ra console()
    function showDataUserObjToConsole(paramUser){
        console.log("%cName: " + paramUser.yourName, "color:green");
        console.log("%cEmail: " + paramUser.yourEmail, "color: blue");
        console.log("%cPassword: " + paramUser.yourPassword, "color: purple");
        console.log("%cRepeat Password: " + paramUser.repeatYourPassword, "color: orange");
        console.log("iAgree: " + paramUser.iAgree);
    }
    });
</script>
<body>
    <div class="center-fluid div-background-pictup">
        <form id="form-signup">
            <div class="row d-flex align-items-center min-vh-100 ">
                <div class="col-sm-5 text-center mx-auto my-0 jumbotron my-div">
                    <div class="mb-5">
                        <h3 class="text-center">CREATE ACCOUNT</h3>
                    </div>
                    <div>
                        <div class="form-group">
                            <input type="text" name="yourname" placeholder="Your Name" id="input-yourname"
                            class="form-control" value="" autocomplete="yourname">
                        </div>
                        <div class="form-group">
                            <input type="text" name="youremial" placeholder="Your Email" id="input-youremail"
                            class="form-control" value="" autocomplete="inp-your-emial" >
                        </div>
                        <div class="form-group">
                            <input type="password" name="yourpassword" placeholder="Your Password" id="input-yourpassword"
                            class="form-control" value="" autocomplete="inp-your-password">
                        </div>
                        <div class="form-group">
                            <input type="password" name="repentyourpassword" placeholder="Repeat Your Password" id="input-repeatyourpassword"
                            class="form-control" value="" autocomplete="inp-repeat-your-password">
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="checkbox" id="inp-checkbox" placeholder="Email"
                            value="">
                            i agree all statements in
                            <u>Terms of service</u>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-log btn-block btn-success" id="btn-signup">Sign Up</button>
                        </div>
                    </div>
                    <div>
                        <div class="form-group">
                            <p>Have already an account ? <u class="font-weight-bold">Longin here</u></p>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</body>
</html>